Bug 214150 - (scumm-amazon-CD) Review Request: flight-of-the-amazon-queen-cd - Flight of the Amazon Queen - Adventure Game - CD version
Review Request: flight-of-the-amazon-queen-cd - Flight of the Amazon Queen - ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Stone
Fedora Package Reviews List
:
: 214151 (view as bug list)
Depends On: scummvm
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-11-06 03:42 EST by Hans de Goede
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-12 14:50:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2006-11-06 03:42:12 EST
Spec URL: http://people.atrpms.net/~hdegoede/flight-of-the-amazon-queen-cd.spec
SRPM URL: http://people.atrpms.net/~hdegoede/flight-of-the-amazon-queen-cd-1.0-1.src.rpm
Description:
It is 1949 and you play Joe King, pilot for hire with his small private plane
the 'Amazon Queen'. The game is a spoof of old timey radio adventure serials,
and as it begins we find Joe in one of those typical situations. It is 11:58
and 36 seconds and counting, Joe and his date are tied up in an abandoned
warehouse ("you really know how to show a girl a good time, Joe!"), and a bomb
is set to go off at midnight!

Of course they escape, in the nick of time, and immediately set us up for the
next 'adventure'. Joe suddenly remembers that he is scheduled to fly the famous
movie star, Faye Russell, to a photo shoot in the Amazon jungle the next
morning.

This package contains the CD version, which contains additional / longer
cutscenes and voice acting, but also is much larger: 37 MB where as the also
available floppy version (package flight-of-the-amazon-queen) is only 7 MB.

---

Note that this package requires scummvm, whose review request is here:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=214055

I'll also submitted the floppy version for review as bug 214113
Comment 1 Hans de Goede 2006-11-06 03:48:09 EST
*** Bug 214151 has been marked as a duplicate of this bug. ***
Comment 2 Christopher Stone 2006-11-09 18:50:13 EST
==== REVIEW CHECKLIST ====
- rpmlint output
W: flight-of-the-amazon-queen-cd no-%build-section

okay, but no harm in enabling %build either
- spec file named according to package naming guidelines
- spec filename matches %{name}
- package meets packaging guidelines
- licensed as distributable, see
https://www.redhat.com/archives/fedora-extras-list/2006-November/msg00030.html
- License file included in %doc
- spec written in American english
- spec file is legible
X sources match upstream
SOURCES ARE TAKING A LONG TIME TO DOWNLOAD
- package successfully compiles and builds on FC5 X86_64
- all dependencies listed in BR
- no locales
- no shared libraries
- package is not relocatable
- package owns all directories it creates
- no duplicates in %files
- file permissions set properly
- package has proper %clean section
- macro usage is consistent
- package contains permissible content
- no large documentation
- no header files or static libraries
- no pkgconfig files
- no devel subpackage required
- no .la files
- package contains proper .desktop file
- package does not own files or directories owned by other packages

APPROVED (PENDING MD5SUM CHECK ON SOURCES WHEN DOWNLOAD COMPLETE)

==== MUST ====
- wait for me to finsih downloading source from upstream, ftp is *really* slow.
Will commit what I have of the review now, and do an md5sum check when the
download is complete.  Once that is done I will set this as blocking FE-ACCEPT

==== SHOULD ====
- uncomment %build to make rpmlint happy
- add Provides: fotaq-cd for easier commandline installs
- add comment above license pointing to distribution discussions on f-e-l
- remove README.SUSE from %doc I dont see anything useful there for Fedora
installs.  If you want to keep the part about how it was generated this can be
put in a README.FEDORA file.
Comment 3 Christopher Stone 2006-11-09 19:04:15 EST
Instead of README.FEDORA as I suggested above, I think it would be better to
simply add a comment above the Source0 tag explaining how the file was generated
from the originals (queenrebuild --ogg -Q -b 16 queen.1)

Comment 4 Christopher Stone 2006-11-09 23:49:34 EST
Hans, I am having difficulty downloading the file from the suse server.  I think
perhaps it would be easier to download the original from sourceforge, then
convert it using queenrebuild tool, then do a md5sum on that.  I assume
queenrebuild comes with scummvm-tools?  The version of scummvm-tools I have does
not have this command.
Comment 5 Hans de Goede 2006-11-10 05:04:41 EST
(In reply to comment #3)
> Instead of README.FEDORA as I suggested above, I think it would be better to
> simply add a comment above the Source0 tag explaining how the file was generated
> from the originals (queenrebuild --ogg -Q -b 16 queen.1)
> 

Good idea, will do!


(In reply to comment #4)
> Hans, I am having difficulty downloading the file from the suse server.  I think
> perhaps it would be easier to download the original from sourceforge, then
> convert it using queenrebuild tool, then do a md5sum on that.  I assume
> queenrebuild comes with scummvm-tools?  The version of scummvm-tools I have does
> not have this command.

Hmm, it downloaded fine for me and I'dd rather not download / upload 100 Mb or
so again just so that an md5sum can be checked. The bzip2 checksum is ok, so I
assume my download is not corrupted. Can't you believe me on my blue (brown
actually) eyes that that file came from that URL and was not tempered with?
Comment 6 Christopher Stone 2006-11-11 15:47:04 EST
That suse ftp server is *really* bad, but I did finally manage to download it.

- sources match upstream
10c38ba9fd533c29cf8a26424d27a9f8  queen.1c.bz2

APPROVED

==== SHOULD ====
- I still think its a good idea to add Provides shorthands like:
scummvm-sky
scummvm-sky-cd
scummvm-queen
scummvm-queen-cd
Comment 7 Hans de Goede 2006-11-12 13:40:24 EST
Thanks! Imported and build, closing.

About the Provides shorthands, I understand the idea, but I concider this
Provides / Requires namespace polution. Think what would happen if all packages
would provide 2 or 3 names to make yum install easier

Note You need to log in before you can comment on or make changes to this bug.